Bug 1261592 - unable to open mtp device (Android)
unable to open mtp device (Android)
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mtpfs (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 14:05 EDT by Donald Berry
Modified: 2016-07-19 13:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:50:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Donald Berry 2015-09-09 14:05:40 EDT
Description of problem:
Connect Android phone, I can see it in nautilus (SAMSUNG Android) but I get an error:
Unable to access "SAMSUNG Android"
unable to open MTP device '[usb:001,015]'

Version-Release number of selected component (if applicable):

How reproducible:
100%

Steps to Reproduce:
1. connect phone
2.
3.

Additional info:

[root@dberry ~]# journalctl -f
-- Logs begin at Fri 2015-08-07 04:15:40 EDT. --
...

Sep 09 13:56:45 dberry kernel: usb 1-1: new high-speed USB device number 15 using xhci_hcd
Sep 09 13:56:45 dberry kernel: usb 1-1: New USB device found, idVendor=04e8, idProduct=6860
Sep 09 13:56:45 dberry kernel: usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Sep 09 13:56:45 dberry kernel: usb 1-1: Product: SAMSUNG_Android
Sep 09 13:56:45 dberry kernel: usb 1-1: Manufacturer: SAMSUNG
Sep 09 13:56:45 dberry kernel: usb 1-1: SerialNumber: ef5294b4
Sep 09 13:56:45 dberry dbus[990]: [system] Activating via systemd: service name='org.freedesktop.hostname1' unit='dbus-org.freedesktop.hostname1.service'
Sep 09 13:56:45 dberry audit: <audit-1325> table=filter family=2 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=raw family=2 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=security family=2 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=mangle family=2 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=nat family=2 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=filter family=10 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=raw family=10 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=security family=10 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=mangle family=10 entries=0
Sep 09 13:56:45 dberry audit: <audit-1325> table=nat family=10 entries=0
Sep 09 13:56:45 dberry systemd[1]: Starting Hostname Service...
Sep 09 13:56:45 dberry org.gtk.vfs.Daemon[2191]: Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
Sep 09 13:56:45 dberry dbus[990]: [system] Successfully activated service 'org.freedesktop.hostname1'
Sep 09 13:56:45 dberry systemd[1]: Started Hostname Service.
Sep 09 13:56:45 dberry audit[1]: <audit-1130> pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-hostnamed comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Sep 09 13:56:51 dberry gnome-session[2199]: (tracker-miner-fs:2543): Tracker-WARNING **: Could not find parent node for URI:'mtp://[usb:001,015]/'
Sep 09 13:56:51 dberry gnome-session[2199]: (tracker-miner-fs:2543): Tracker-WARNING **: NOTE: URI theme may be outside scheme expected, for example, expecting 'file://' when given 'http://' prefix.
Sep 09 13:56:51 dberry gnome-session[2199]: (tracker-miner-fs:2543): Tracker-WARNING **: Could not find parent node for URI:'mtp://[usb:001,015]/'
Sep 09 13:56:51 dberry gnome-session[2199]: (tracker-miner-fs:2543): Tracker-WARNING **: NOTE: URI theme may be outside scheme expected, for example, expecting 'file://' when given 'http://' prefix.
Sep 09 13:56:51 dberry gnome-session[2199]: (tracker-miner-fs:2543): Tracker-CRITICAL **: Could not set mount point in database 'urn:nepomuk:datasource:5c7e6bb78b9a6691c3ecea3925b2971d', GDBus.Error:org.freedesktop.Tracker1.SparqlError.Internal: UNIQUE constraint failed: nie:DataObject.nie:url (strerror of errno (not necessarily related): Resource temporarily unavailable)
Sep 09 13:56:51 dberry kernel: usb 1-1: usbfs: process 5352 (events) did not claim interface 0 before use
Sep 09 13:56:51 dberry /usr/libexec/gdm-x-session[2142]: Activating service name='org.gnome.Shell.HotplugSniffer'
Sep 09 13:56:51 dberry /usr/libexec/gdm-x-session[2142]: Successfully activated service 'org.gnome.Shell.HotplugSniffer'
Sep 09 13:56:51 dberry gnome-session[2199]: (gnome-shell:2345): Gjs-WARNING **: JS ERROR: TypeError:  is null
Sep 09 13:56:51 dberry gnome-session[2199]: ContentTypeDiscoverer<._onContentTypeGuessed/<@resource:///org/gnome/shell/ui/components/autorunManager.js:133
Sep 09 13:56:51 dberry gnome-session[2199]: _proxyInvoker/asyncCallback@resource:///org/gnome/gjs/modules/overrides/Gio.js:86
^C

[root@dberry ~]# lsusb
Bus 004 Device 002: ID 8087:8000 Intel Corp. 
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 002: ID 8087:8008 Intel Corp. 
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 17ef:1010 Lenovo 
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 008: ID 045e:0750 Microsoft Corp. Wired Keyboard 600
Bus 001 Device 007: ID 0557:8021 ATEN International Co., Ltd CS1764A [CubiQ DVI KVMP Switch]
Bus 001 Device 005: ID 17ef:100f Lenovo 
Bus 001 Device 003: ID 17ef:1010 Lenovo 
Bus 001 Device 002: ID 058f:9540 Alcor Micro Corp. AU9540 Smartcard Reader
Bus 001 Device 006: ID 04ca:7035 Lite-On Technology Corp. 
Bus 001 Device 004: ID 8087:07dc Intel Corp. 
Bus 001 Device 015: ID 04e8:6860 Samsung Electronics Co., Ltd Galaxy (MTP)
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Comment 1 Fedora End Of Life 2016-07-19 13:50:37 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.